.search {
    width: 75%;
    height: 100%;
    position: fixed;
    top: 0;
    left: -75%;
    background-color: #453257;
    text-align: center;
    padding-top: 10px;
    .search-title {
      color: #AC8EC9;
      font-size: 12px;
      border-bottom: 1px solid #8560A9;
      height: 15px;
      line-height: 15px;
      display: inline-block;
    }
    .search-types-container {
      width: 100%;
      padding: 15px;
      // border: 1px solid red;
      box-sizing: border-box;
      overflow: hidden;
      .date-item {
        float: left;
        font-size: 12px;
        height: 18px;
        line-height: 18px;
        color: #FFFFFF;
        padding: 0 9px;
        margin: 5px;
        &.active {
          background-color: #E5F7A9;
          color: #453257;
          border-radius: 9px;
        }
      }
      .channel-item {
        float: left;
        font-size: 12px;
        height: 24px;
        line-height: 14px;
        color: #FFFFFF;
        margin: 5px;
        padding: 5px 10px;
        border: 1px solid #D3C1E5;
        border-radius: 12px;
        &.active {
          color: #453257;
          background-color: #E5F7A9;
          border: 1px solid #E5F7A9;
        }
      }
    }
    .search-button {
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 64px;
      background-color: #BABABA;
      color: #666666;
      font-size: 16px;
      border: none;
      outline: none;
      display: flex;
      align-items: center;
      justify-content: center;
      &.active {
        background-color: #E5F7A9;
      }
      .icon-search {
        width: 16px;
        height: 16px;
        margin-right: 6px;
      }
    }
    
  }
  
  .right-slip {
    .search {
      animation: right-slip-search .5s forwards;
    }
  }
  
  .left-slip {
    .search {
      animation: left-slip-search .5s forwards;
    }
  }
  
  @keyframes right-slip-search {
    0% {left: -75%;}
    100% {left: 0;}
  }
  
  @keyframes left-slip-search {
    0% {left: 0;}
    100% {left: -75%;}
  }